    REM IFF_C.BAT
    REM turn echo off and clear the screen
       ECHO OFF
       CLS
    REM START heading label.  Here we will test to see if any parameters
    REM were entered on the command line.  If not then echo a message about
    REM how to use this BATch file.
    :START
       IF %1!==! GOTO MISSING
       IF %2!==! GOTO MISSING
    REM invoke IFF to sCan drive %1 for the file %2
    REM then test the return code in ERRORLEVEL.  60 catches any problems
    REM such as the drive door open, the disk needs formatting and any
    REM parameter errors.  20 tells us the file was not found. 0 the file
    REM was found and the default drive has been set to %1 and the
    REM subdirectory has been set to the location of %2
       IFF C %1 %2
       IF ERRORLEVEL 60 GOTO PROBLEM
       IF ERRORLEVEL 20 GOTO NOFILE
    REM FOUND the file heading label.  Echo a message and do a directory to
    REM show the user that IFF has found the file.
    :FOUND
       ECHO FILE -  %2 WAS FOUND ON DRIVE -  %1
       DIR %2
       PAUSE
       GOTO END
    REM MISSING heading label.  Echo a message showing how this BATch file
    REM should be invoked.
    :MISSING
       ECHO YOU MUST START THIS BATCH FILE WITH THE FORMAT:
       ECHO     IFF_C d: filename.ext
       ECHO THIS WILL SEARCH DRIVE d: FOR filename.ext
       ECHO IF FOUND, THIS BATch FILE WILL DISPLAY THE DIRECTORY.
       GOTO END
    REM NOFILE heading label.  IFF was unable to find your file.
    :NOFILE
       ECHO FILE -  %2 WAS NOT FOUND ON DRIVE -  %1  PLEASE TRY AGAIN.
       GOTO END
    REM PROBELM heading label.  Either there was a parameter error, the
    REM drive door was open or no disk in the drive, or the disk needs
    REM to be formatted.
    :PROBLEM
       ECHO THERE IS A PROBLEM WITH DRIVE %1
       ECHO PLEASE CHECK AND RE-ISSUE THIS BATCH FILE
    REM this is the END of the BATch file.
    :END
