    REM IFF_E.BAT
    REM turn echo off and clear the screen
       ECHO OFF
       CLS
    REM START heading label.  test for a disk in drive A: to start this
    REM demo. 80 means either the disk is not present or needs to be
    REM formatted. 20 means there is a disk, but the file TEST.QWA is not
    REM present (which is fine for now)
    :START
       IFF E A:\TEST.QWA
       IF ERRORLEVEL 80 GOTO OPEN
       IF ERRORLEVEL 20 GOTO THERE
    REM OPEN drive heading label.  echo an error message and re-start
    :OPEN
       ECHO PLEASE MAKE SURE THERE IS A DISK IN DRIVE A:
       PAUSE
       GOTO START
    REM THERE heading label.  continue with the BATch file.  create a small
    REM file to use for testing.  again 80 means missing disk/not formatted
    REM 20 means the disk is there, but the file is not (loop back and try
    REM again).
    :THERE
       ECHO CREATING A:\TEST.QWA FOR DEMO
       ECHO HERE > A:\TEST.QWA
       IFF E A:\TEST.QWA
       IF ERRORLEVEL 80 GOTO OPEN
       IF ERRORLEVEL 20 GOTO THERE
    REM WORKED heading label.  successfully found TEST.QWA on drive A:. now
    REM have the user remove the disk and test again.  80 means the disk is
    REM gone, so we have success there.  0, or the goto worked, means they
    REM have not removed the disk (loop back and try again).
    :WORKED
       ECHO A:\TEST.QWA IS PRESENT ON DRIVE A:
       ECHO NOW REMOVE THE DISK IN DRIVE A:
       PAUSE
       IFF E A:\TEST.QWA
       IF ERRORLEVEL 80 GOTO GONE
       GOTO WORKED
    REM GONE heading label.  the disk was removed with the TEST.QWA file on
    REM it prompt to return the disk, and test if it was returned.  20
    REM means it wasn't there (loop back and try again). (0 went well) then
    REM delete the file and we're done
    :GONE
       ECHO NOW PUT THE DISK BACK IN DRIVE A:, AND A:\TEST.QWA WILL BE
       ECHO REMOVED.
       PAUSE
       IFF E A:\TEST.QWA
       IF ERRORLEVEL 20 GOTO GONE
       ECHO DELETING A:\TEST.QWA
       DEL A:\TEST.QWA
