    REM IFF_X.BAT
    REM turn echo off and clear the screen
    ECHO OFF
    CLS
    :START
    REM have IFF check for 1 page (16k) of available EMS memory
      IFF X  1
    REM check the code returned in ERRORLEVEL. 79-not enough pages, 69-
    REM parameter error, 20-no EMS memory installed, 0-enough pages are
    REM available.
      IF ERRORLEVEL 79 GOTO ROOM
      IF ERRORLEVEL 69 GOTO ERROR
      IF ERRORLEVEL 20 GOTO NO
      ECHO AT LEAST 1 PAGE OF EMS MEMORY IS AVAILABLE
      GOTO END
    REM ROOM heading label.  not enough room, echo a message and end
    :ROOM
      ECHO NOT ENOUGH ROOM, SORRY
      GOTO END
    REM ERROR heading label. we had some sort of a problem, echo message
    :ERROR
      ECHO PROBLEM!
      GOTO END
    REM NO heading label.  we didn't find any EMS memory installed
    :NO
      ECHO SORRY, NO EMS MEMORY INSTALLED
      GOTO END
    REM END heading label.  this is the end of the BATch file.
    :END
