    REM IFF_L.BAT
    REM turn echo off and clear the screen
       ECHO OFF
       CLS
    REM START heading label.  Here we will test to see if any parameters
    REM were entered on the command line.  If not then echo a message about
    REM how to use this BATch file.
    :START
       IF %1!==! GOTO MISSING
       IF %2!==! GOTO MISSING
    REM use IFF with the Label option and check drive %1 for the label %2
    REM then test the return codes in ERRORLEVEL.  60 catches any problems
    REM such as the drive door open, the disk needs formatting and any
    REM parameter errors.  20 tells us the label was not found. 0 the label
    REM was found
       IFF L %1 %2
       IF ERRORLEVEL 60 GOTO PROBLEM
       IF ERRORLEVEL 20 GOTO NOLABEL
    REM FOUND the label heading label.  Echo a message and do a VOL to show
    REM the volume label.
    :FOUND
       ECHO LABEL - %2 WAS FOUND ON DRIVE - %1
       VOL %1
       PAUSE
       GOTO END
    REM MISSING heading label.  Echo a message showing how this BATch file
    REM should be invoked.
    :MISSING
       ECHO You must start this BATch file with this format:
       ECHO     IFF_L d: label
       ECHO This will check drive d: for label
       ECHO If found, IFF will display the VOLUME LABEL.
       GOTO END
    REM NOLABEL heading label.  IFF was unable to find the label your
    REM looking for.
    :NOLABEL
       ECHO LABEL - %2 WAS NOT FOUND ON DRIVE - %1
       ECHO PLEASE TRY AGAIN
       GOTO END
    REM PROBELM heading label.  Either there was a parameter error, the
    REM drive door was open or no disk in the drive, or the disk needs to
    REM be formatted.
    :PROBLEM
       ECHO THERE IS A PROBLEM WITH DRIVE %1
       ECHO PLEASE CHECK AND RE-ISSUE THIS BATCH FILE
    REM this is the END of the BATch file.
    :END
