    REM IFF_S.BAT
    REM turn echo off and clear the screen
    ECHO OFF
    CLS
    :START
    REM tell the user that we're testing for 128k in drive A:.  invoke IFF
    REM to make sure we have a disk in drive A: and look for 128k.
       CLS
       ECHO WE'LL TEST FOR 128K IN DRIVE A
       IFF S A: 128
    REM check the code returned in ERRORLEVEL. 99-no disk/door open, 89-disk
    REM needs to be formatted, 79-not enough room, 69-parameter error,0-ok.
       IF ERRORLEVEL 99 GOTO NO_FILE
       IF ERRORLEVEL 89 GOTO NOT_FORM
       IF ERRORLEVEL 79 GOTO NO_SPACE
       IF ERRORLEVEL 69 GOTO STOP
       GOTO OK
    REM NO_FILE heading label.  there is no disk in drive A:, make a fuss.
    :NO_FILE
       ECHO THERE IS NO DISK IN DRIVE A:
       ECHO      PLEASE PUT A DISK IN DRIVE A:
       PAUSE
       GOTO START
    REM NOT_FORM heading label.  Someone forgot to format all the disks!
    :NOT_FORM
       ECHO THE DISK IN DRIVE A: IS NOT FORMATTED
       GOTO END
    REM NO_SPACE heading label.  we don't have 128k of space on the disk.
    :NO_SPACE
       ECHO THE DISK IN DRIVE A: HAS LESS THAN 128K OF SPACE
       GOTO END
    REM OK heading label.  we had atleast 128k of space on the disk.
    :OK
       ECHO THE DISK IN DRIVE A: HAS 128K OR MORE OF SPACE
       GOTO END
    REM END heading label.  use IFF for another function... ask a question.
    :END
       IFF Q DO YOU WANT TO TRY ANOTHER DISK IN DRIVE A:
       IF ERRORLEVEL 20 GOTO STOP
       ECHO PUT ANOTHER DISK IN DRIVE A:
       PAUSE
       GOTO START
    REM STOP this is the end of the line.
    :STOP
